<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TSave (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TSave (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TSave.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/main/tournament/TSave.html" target="_top">Frames</a></li>
<li><a href="TSave.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.main.tournament</div>
<h2 title="Class TSave" class="title">Class TSave</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">towerwarspp.main.game.Save</a></li>
<li>
<ul class="inheritance">
<li>towerwarspp.main.tournament.TSave</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Iterable&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TSave</span>
extends <a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a></pre>
<div class="block">This class extends the <a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game"><code>Save</code></a> -Class, so that it works for <a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>0.1</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Alexander Wähling</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament">TResult</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TSave.html#result">result</a></span></code>
<div class="block">Empty TResult-Object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TSave.html#tournament">tournament</a></span></code>
<div class="block">Shows, if this is a saveGame for a <a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a> or not</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TSave.html#TSave-int-">TSave</a></span>(int&nbsp;size)</code>
<div class="block">Constructor for TSave</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TSave.html#exportT-java.lang.String-">exportT</a></span>(java.lang.String&nbsp;file)</code>
<div class="block">Exports a TSave - Object to a file
 1.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/main/tournament/TSave.html" title="class in towerwarspp.main.tournament">TSave</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TSave.html#loadn-java.lang.String-">loadn</a></span>(java.lang.String&nbsp;file)</code>
<div class="block">This Method Loads a TSave-Object from an .aot-Savefile using the parser of the super-class and
 parseTournament</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private static <a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament">TResult</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TSave.html#parseTournament-java.io.BufferedReader-">parseTournament</a></span>(java.io.BufferedReader&nbsp;br)</code>
<div class="block">This method parses a TResult-Object from a file</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TSave.html#setResult-towerwarspp.main.tournament.TResult-">setResult</a></span>(<a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament">TResult</a>&nbsp;result)</code>
<div class="block">Sets the <a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament"><code>TResult</code></a>-Object of the Class</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TSave.html#writeTournatment-java.io.PrintWriter-">writeTournatment</a></span>(java.io.PrintWriter&nbsp;writer)</code>
<div class="block">This Method writes the <a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a>-Result with agiven writer to a textfile</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.towerwarspp.main.game.Save">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;towerwarspp.main.game.<a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a></h3>
<code><a href="../../../towerwarspp/main/game/Save.html#add-towerwarspp.preset.Move-">add</a>, <a href="../../../towerwarspp/main/game/Save.html#export-java.lang.String-">export</a>, <a href="../../../towerwarspp/main/game/Save.html#getMoveHistory--">getMoveHistory</a>, <a href="../../../towerwarspp/main/game/Save.html#getNextMove--">getNextMove</a>, <a href="../../../towerwarspp/main/game/Save.html#getSavePath--">getSavePath</a>, <a href="../../../towerwarspp/main/game/Save.html#getSize--">getSize</a>, <a href="../../../towerwarspp/main/game/Save.html#iterator--">iterator</a>, <a href="../../../towerwarspp/main/game/Save.html#load-java.lang.String-">load</a>, <a href="../../../towerwarspp/main/game/Save.html#parseLoad-java.lang.String-">parseLoad</a>, <a href="../../../towerwarspp/main/game/Save.html#setMoveHistory-java.util.ArrayDeque-">setMoveHistory</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
<code>forEach, spliterator</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="tournament">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tournament</h4>
<pre>private&nbsp;boolean tournament</pre>
<div class="block">Shows, if this is a saveGame for a <a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a> or not</div>
</li>
</ul>
<a name="result">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>result</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament">TResult</a> result</pre>
<div class="block">Empty TResult-Object. Filled, if <a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a> is true</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TSave-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TSave</h4>
<pre>public&nbsp;TSave(int&nbsp;size)</pre>
<div class="block">Constructor for TSave</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>size</code> - the size of the board</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setResult-towerwarspp.main.tournament.TResult-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setResult</h4>
<pre>public&nbsp;void&nbsp;setResult(<a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament">TResult</a>&nbsp;result)</pre>
<div class="block">Sets the <a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament"><code>TResult</code></a>-Object of the Class</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>result</code> - the new result</dd>
</dl>
</li>
</ul>
<a name="exportT-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exportT</h4>
<pre>public&nbsp;void&nbsp;exportT(java.lang.String&nbsp;file)</pre>
<div class="block">Exports a TSave - Object to a file
 1. Line : size of the Board
 2. - n. Line Moves of the Game
 n. - (n+16).Line the Results of the Tournament</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the name of the File</dd>
</dl>
</li>
</ul>
<a name="writeTournatment-java.io.PrintWriter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeTournatment</h4>
<pre>private&nbsp;void&nbsp;writeTournatment(java.io.PrintWriter&nbsp;writer)</pre>
<div class="block">This Method writes the <a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a>-Result with agiven writer to a textfile</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>writer</code> - the PrintWriter ith the file</dd>
</dl>
</li>
</ul>
<a name="parseTournament-java.io.BufferedReader-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseTournament</h4>
<pre>private static&nbsp;<a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament">TResult</a>&nbsp;parseTournament(java.io.BufferedReader&nbsp;br)
                                throws <a href="../../../towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game">LoadParserException</a></pre>
<div class="block">This method parses a TResult-Object from a file</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>br</code> - the reader with the ".aot" -file</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game">LoadParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="loadn-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>loadn</h4>
<pre>public&nbsp;<a href="../../../towerwarspp/main/tournament/TSave.html" title="class in towerwarspp.main.tournament">TSave</a>&nbsp;loadn(java.lang.String&nbsp;file)
            throws <a href="../../../towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game">LoadParserException</a>,
                   java.io.IOException</pre>
<div class="block">This Method Loads a TSave-Object from an .aot-Savefile using the parser of the super-class and
 parseTournament</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../towerwarspp/main/game/Save.html#loadn-java.lang.String-">loadn</a></code>&nbsp;in class&nbsp;<code><a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the name of the file to be loaded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parsed Save-Object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game">LoadParserException</a></code></dd>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TSave.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/main/tournament/TSave.html" target="_top">Frames</a></li>
<li><a href="TSave.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
